Get a privacy request | DataGrail Documentation

Get a privacy request

GET https://www.example.com/api/v1/privacy_requests/:id

Request

Path Parameters

id string required
The ID of the request. The ID is the 36 character string that is returned in the id field after creating a privacy request.
Example: 80edbafc-4ec6-45a0-b341-73080457890e

Header Parameters

authorization string required
Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9

Responses

Privacy Request created

Schema

custom object
Example:{"first_name":"Queen","last_name":"Guinevere","country":"Britain","app_id":"holy_grail_app","origin":"iOS"}

identifiers object
The email of the data subject
Example:{"email":["guinevere@camelotknights.com"]}

privacy_right string
The type of request that was made.
Example: deletion

status string
The status of the request.
Example: open

id string
The unique identifier of the request.
Example: 967e34da-4863-4fcf-842d-176dd102d032

{
  "custom": {
    "first_name": "Queen",
    "last_name": "Guinevere",
    "country": "Britain",
    "app_id": "holy_grail_app",
    "origin": "iOS"
  },
  "identifiers": {
    "email": [
      "guinevere@camelotknights.com"
    ]
  },
  "privacy_right": "deletion",
  "status": "open",
  "id": "967e34da-4863-4fcf-842d-176dd102d032"
}

Not Found

CURL

curl -L 'https://www.example.com/api/v1/privacy_requests/:id' \
-H 'Accept: application/json'